﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;
using Telerik.Windows.Data;

namespace WPFTestApp
{
    /// <summary>
    /// Interaction logic for DynamicLegend.xaml
    /// </summary>
    public partial class DynamicLegend : Window
    {
        public DynamicLegend()
        {
            ChartPalette palette = ChartPalettes.Windows8;

            RadObservableCollection<LegendItem> legendItems = new RadObservableCollection<LegendItem>();
            legendItems.Add(new LegendItem() { Text = "food", Color = palette.GlobalEntries[0].Fill });
            legendItems.Add(new LegendItem() { Text = "clothing", Color = palette.GlobalEntries[1].Fill });
            legendItems.Add(new LegendItem() { Text = "electronic", Color = palette.GlobalEntries[2].Fill });
            legendItems.Add(new LegendItem() { Text = "homeware", Color = palette.GlobalEntries[3].Fill });

            this.LegendItems = legendItems;

            this.DataContext = this;

            InitializeComponent();
        }

        public RadObservableCollection<LegendItem> LegendItems { get; set; }
    }

    public class LegendItem
    {
        public string Text { get; set; }
        public Brush Color { get; set; }
    }
}
